Bug 1781845 - [IPI baremetal] openshift-install should support virtual media
Summary: [IPI baremetal] openshift-install should support virtual media
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Installer
Version: 4.3.0
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
: 4.4.0
Assignee: Stephen Benjamin
QA Contact: Raviv Bar-Tal
URL:
Whiteboard:
Depends On:
Blocks: 1781846
TreeView+ depends on / blocked
 
Reported: 2019-12-10 17:10 UTC by Stephen Benjamin
Modified: 2020-05-13 21:54 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
: 1781846 (view as bug list)
Environment:
Last Closed: 2020-05-13 21:54:34 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github /openshift installer pull 2766 0 None None None 2020-04-28 10:52:22 UTC
Red Hat Product Errata RHBA-2020:0581 0 None None None 2020-05-13 21:54:36 UTC

Description Stephen Benjamin 2019-12-10 17:10:40 UTC
In order to support additional mechanisms for provisioning machines
beyond iPXE, such as Virtual Media, we need to be able to configure
various interfaces (boot_interface, power_interface, etc) in Ironic via terraform.

This data comes from baremetal-operator, as baremetal-operator's BMC code now handles providers that use virtual media. The installer should revendor the new code, and pass through the additional data to Ironic as needed.

Comment 3 errata-xmlrpc 2020-05-13 21:54:34 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2020:0581


Note You need to log in before you can comment on or make changes to this bug.